---


- name: uncomment "origin=Debian,codename=${distro_codename}-updates" in /etc/apt/apt.conf.d/50unattended-upgrades
  replace:
    path: '/etc/apt/apt.conf.d/50unattended-upgrades'
    regexp:  '//      "origin=Debian,codename=\${distro_codename}-updates";'
    replace: '        "origin=Debian,codename=${distro_codename}-updates";'
  notify: restart_unattended_upgrades


- name: uncomment "origin=Debian,codename=${distro_codename}-proposed-updates";" in /etc/apt/apt.conf.d/50unattended-upgrades
  replace:
    path: '/etc/apt/apt.conf.d/50unattended-upgrades'
    regexp:  '//      "origin=Debian,codename=\${distro_codename}-proposed-updates";'
    replace: '        "origin=Debian,codename=${distro_codename}-proposed-updates";'
  notify: restart_unattended_upgrades


- name: uncomment "Unattended-Upgrade::Remove-Unused-Dependencies "false";" in /etc/apt/apt.conf.d/50unattended-upgrades
  replace:
    path: '/etc/apt/apt.conf.d/50unattended-upgrades'
    regexp:  '//Unattended-Upgrade::Remove-Unused-Dependencies "false";'
    replace: 'Unattended-Upgrade::Remove-Unused-Dependencies "false";'
  notify: restart_unattended_upgrades


- name: uncomment "Unattended-Upgrade::AutoFixInterruptedDpkg "true";" in /etc/apt/apt.conf.d/50unattended-upgrades
  replace:
    path: '/etc/apt/apt.conf.d/50unattended-upgrades'
    regexp:  '//Unattended-Upgrade::AutoFixInterruptedDpkg "true";'
    replace: 'Unattended-Upgrade::AutoFixInterruptedDpkg "true";'
  notify: restart_unattended_upgrades
